<?php

/**
 * movi_cuenta actions.
 *
 * @package    contab2
 * @subpackage movi_cuenta
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class movi_cuentaActions extends sfAPIActions {

    protected $id_name = 'id_mov_cont';
    protected $id_names = array('id_mov_cont', 'id_documento', 'id_cad', 'id_vigencia', 'id_cen_op');
    protected $field_names = array('id_mae_ter', 'id_auxiliar', 'id_sub_aux', 'id_centro_costo', 'id_sub_centro_costo', 'debito', 'credito', 'valor_base');
    protected $table_name = 'CN_MOVIMIENTO_CONTABLE';
    protected $has_id_cia = true;
    protected $has_activo = false;
    protected $check_exists = array('id_mov_cont', 'id_documento', 'id_cad', 'id_vigencia', 'id_cen_op');
    protected $has_vigencia = true;
    protected $other_tab_uq_fields = array('digitos' =>
        array('CN_SUBC_DIGITOS' =>
            array('id_clase_cuenta',
                'id_grupo_cuenta',
                'id_cuenta_mayor',
                'id_catalogo')
        )
    );

}
